Printer FriendlyEmail Article Link

Spirent TestCenter TCL API throws error “Spirent_TestCenter_Application_Linux/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6” when try to test with Fedora?

Answer

 

Detail Error Message:
Error Occured while loading the Spirent Automation Internal Utility Library (couldn't load file "/usr/local/Spirent_TestCenter_4.10/Spirent_TestCenter_Application_Linux/libsTcl.so": /usr/local/Spirent_TestCenter_4.10/Spirent_TestCenter_Application_Linux/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6)).
invalid command name "stc_int::salGet"
    while executing
"stc_int::salGet $handle $args "
    (procedure "stc::get" line 2)
    invoked from within
"stc::get automationoptions -suppressTclErrors"
 
Fedora Version:  8.1 and 13
Note: Spirent TestCenter does not support Fedora. However, the error message is due to the package load the System GCC version instead of Spirent provided file.
Resolution:  Add the Spirent TestCEnter Installation path to the front   LD_LIBRARY_PATH variable
This allows to load the Spirent provided version instead of the System version.

Product : Spirent TestCenter,L2-3,Automation,API